Removal of LSI 2008, 2108, 2116 RAID card drivers

Issues related to hardware problems
Post Reply
CasualUser
Posts: 2
Joined: 2019/09/29 00:56:14

Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by CasualUser » 2019/09/29 01:04:20

I began migrating my home server from CentOS 7 to 8 but the installer was unable to detect my LSI 2108 RAID array. This seems to be a known issue with RHEL 8 as support for some older RAID chipsets was disabled in the mpt3sas driver. Will CentOS re-enable support for these devices or will I need an unofficial solution? Linked below is the Redhat forum discussion about the issue.

https://access.redhat.com/discussions/3722151

CasualUser
Posts: 2
Joined: 2019/09/29 00:56:14

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by CasualUser » 2019/09/29 05:39:26

The list of hardware which is now unsupported in RHEL 8 can be seen in chapter 11.1 of "Considerations in adopting RHEL 8." All of this hardware was deprecated in RHEL 7.6 and most of it is very old.

https://access.redhat.com/documentation ... enablement

User avatar
toracat
Forum Moderator
Posts: 7453
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by toracat » 2019/09/29 05:50:08

Please take a look at the known issues section of CentOS 8 Release Notes. The centosplus kernel (kernel-plus) has support for some of the drivers removed in 8. But you need to use the driver update disk from ELRepo to do the initial installation.
CentOS Forum FAQ

mike.scchen
Posts: 3
Joined: 2014/10/24 10:42:20
Location: Taipei, Taiwan

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by mike.scchen » 2019/10/03 06:35:23

Here's the step-by-step procedure I used yesterday to install CentOS 8 on a Dell T610, with a PERC H310 flashed to IT mode.
(reference: https://elrepoproject.blogspot.com/2019 ... pters.html)
If you are not booting the OS from the RAID, I think you can just mount the DUD iso below to install the patched driver rpm inside, and patch the dracut (5. below), without going through the whole process.

Hardware configuration:
H310 in IT mode
2 SATA SSDs and 4 SATA disks attached.
(did not use the RAID on controller but mdraid instead, for the IR mode does not support TRIM)
  • 1.
prepare a install media and a flash drive, formatted with fat32, and copy the DUD iso file into the flash drive:
https://elrepo.org/linux/dud/el8/x86_64
You can also use tools like Rufus to create a bootable install flash drive, and use it as the DUD drive.
No need to process the DUD iso; just place it in the drive.
Note: In my case, I'm using the card in IT mode; the disks are not set into RAID with the card, so only the mpt3sas DUD is required.
If you have a IR mode (RAID via the controller) configuration, you may need the megaraid-sas DUD too.
  • 2.
boot with the install media, and hit tab key in the boot menu, add 'inst.dd' to the command line, and then boot it.
  • 3.
the installer will ask for a DUD before getting into the GUI.
It will list the block devices it found, find the one with vfat - that's your flash drive.
Then it will list DUD isos it found on the drive, enter the number of the entry, then a "checkbox" will appear before the entry.
Enter the number again so the "checkbox" is checked with a x. Now enter "c" to contiune.
  • 4.
If everything works, you'll have your disks visible to the installer.
Install it as usual.
  • 5.
The booting should has no problem, but DO NOT update kernel just yet.
According to the reference page, the dracut tool in RHEL / CentOS 8.0 is bugged and will NOT include the extra driver to the updated initrd. This will make the new kernel unbootable.
Setup network to download the patched dracut tools first, or copy it from other computer with flash drive:
http://elrepo.org/people/akemi/testing/el8/dracut/
Then install them with:
rpm -Uvh (downloaded rpm files).
  • 6.
Now you can update the kernel.

User avatar
rprowel
Posts: 9
Joined: 2019/10/05 23:44:47
Location: Pittsburgh PA USA

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by rprowel » 2019/10/08 21:28:59

this bites me too. no sata_mv (required for the highpoint raid controllers in JBOD mode) driver in the redhat or centos8 kernel, yet it continues to be supported in the mainline linux kernel. from 2.26.x through current 5.x kernels.

[rolls eyes and prays for retirement to come sooner]

User avatar
rprowel
Posts: 9
Joined: 2019/10/05 23:44:47
Location: Pittsburgh PA USA

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by rprowel » 2019/10/09 02:46:11

OK. found the sata_mv driver in kernel-ml-5.x, but it's not in the main centos repos...gotta add epel to see it.

masscream
Posts: 2
Joined: 2020/06/18 06:10:24

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by masscream » 2020/06/18 07:12:05

What a nice piece of work done here. However, still have one issue, I managed to install CenOS 8.2 on my old Primergy RX200 S6. However the current dracut version in the system is

Code: Select all

$ sudo yum list installed | grep dracut
dracut.x86_64                                      049-70.git20200228.el8                         @anaconda
dracut-config-rescue.x86_64                        049-70.git20200228.el8                         @anaconda
dracut-network.x86_64                              049-70.git20200228.el8                         @anaconda
dracut-squash.x86_64                               049-70.git20200228.el8                         @anaconda
When i try to downgrade, I get dependencies version conflict

Code: Select all

$ sudo yum downgrade dracut-049-13.git20190614.p1.el8_0.elrepo.x86_64.rpm
Last metadata expiration check: 1:30:00 ago on Thu 18 Jun 2020 06:27:20 AM CEST.
Error: 
 Problem: problem with installed package kexec-tools-2.0.20-14.el8.x86_64
  - package kexec-tools-2.0.20-14.el8.x86_64 requires dracut >= 049-24, but none of the providers can be installed
  - cannot install both dracut-049-13.git20190614.p1.el8_0.elrepo.x86_64 and dracut-049-70.git20200228.el8.x86_64
  - conflicting requests
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
I have also tried to remove the whole dracut but it's trying to take half a system with it, is there any other way how to fix the initramfs after the update or install the dracut tools without going through dependencies pain ? My raid driver is mptsas if it helps. Thanks.

User avatar
TrevorH
Forum Moderator
Posts: 29943
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by TrevorH » 2020/06/18 07:43:23

The post that mentions dracut says it's broken in 8.0 so it should be fixed by now.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

masscream
Posts: 2
Joined: 2020/06/18 06:10:24

Re: Removal of LSI 2008, 2108, 2116 RAID card drivers

Post by masscream » 2020/06/18 12:51:04

Truly, it works. It took me a little time until I found the overlooked mention....
[UPDATE] dracut-049-10.git20190115.el8_0.1 released on Oct 29, 2019 has the patch that fixes the issue.
Happy CentOSing!

Post Reply

Return to “CentOS 8 - Hardware Support”